#!/usr/bin/env python

import unittest


import ermapper_grids
import Numeric

class Test_ERMapper(unittest.TestCase):
    def setUp(self):
        pass

    def tearDown(self):
        pass

    def test_basic_single_line_grid(self):
        # Setup test data
        filename = 'test_write_ermapper_grid'
        original_grid = Numeric.array([0.0, 0.1, 1.0, 2.0, 3.0, 4.0])

        # Write test data
        ermapper_grids.write_ermapper_data(original_grid, filename, Numeric.Float64)

        # Read in the test data
        new_grid = ermapper_grids.read_ermapper_data(filename, Numeric.Float64)

        # Check that the test data that has been read in matches the original data
        assert Numeric.allclose(original_grid, new_grid)

    def test_basic_single_line_grid_default_format(self):
        # Setup test data
        filename = 'test_write_ermapper_grid'
        original_grid = Numeric.array([0.0, 0.1, 1.0, 2.0, 3.0, 4.0])

        # Write test data
        ermapper_grids.write_ermapper_data(original_grid, filename)

        # Read in the test data
        new_grid = ermapper_grids.read_ermapper_data(filename)

        # Check that the test data that has been read in matches the original data
        assert Numeric.allclose(original_grid, new_grid)


    def test_write_default_header(self):
        filename = 'test_write_ermapper_grid'

        # setup test data
        original_grid = Numeric.array([[0, 1, 2, 3], [4, 5, 6, 7], [8, 9, 10, 11]])
        # Write test data
        ermapper_grids.write_ermapper_data(original_grid, filename)
        # Write test header
        filename = filename + '.ers'                              
        ermapper_grids.write_ermapper_header(filename)

# def test_default_filenames
# def test_write_header
# def test_multi_band_grid

       
#-------------------------------------------------------------
if __name__ == "__main__":
    suite = unittest.makeSuite(Test_ERMapper,'test')
    runner = unittest.TextTestRunner()
    runner.run(suite)




